# Uses of Class
org.bukkit.command.CommandException

Packages that use CommandException
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.command
Classes relating to handling specialized non-chat player input.

## Uses of CommandException in org.bukkit

Methods in org.bukkit that throw CommandException
Modifier and Type
Method
Description
`static boolean`
Bukkit.`dispatchCommand(@NotNull CommandSender sender, @NotNull String commandLine)`
Dispatches a command on this server, and executes it if found.
`boolean`
Server.`dispatchCommand(@NotNull CommandSender sender, @NotNull String commandLine)`
Dispatches a command on this server, and executes it if found.

## Uses of CommandException in org.bukkit.command

Methods in org.bukkit.command that throw CommandException
Modifier and Type
Method
Description
`boolean`
CommandMap.`dispatch(@NotNull CommandSender sender, @NotNull String cmdLine)`
Looks for the requested command and executes it if found.
`boolean`
SimpleCommandMap.`dispatch(@NotNull CommandSender sender, @NotNull String commandLine)`
Looks for the requested command and executes it if found.
`List<String>`
PluginCommand.`tabComplete(@NotNull CommandSender sender, @NotNull String alias, @NotNull String[] args)`
Executed on tab completion for this command, returning a list of options the player can tab through.